#!/bin/bash

#HTKDIR=/homes/kenchen/htk3.1
HTKLIB="${HTKDIR}/HTKLib"
HTKTOOLS="${HTKDIR}/HTKTools"
PATDIR=.
PATLIB="${PATDIR}/pat"
cp -f $HTKLIB/*.[hc] HDKLib
cp -f $HTKLIB/Makefile HDKLib
cp -f $HTKLIB/htk_htklib_nt.mkf HDKLib
for f in `cat DiffLibList`; do
  (cat "${PATLIB}/${f}.pat" ; echo '1,$p';)| ed - "${HTKLIB}/$f" > HDKLib/${f}
done;

(cat pat/Init.c.pat ; echo '1,$p';) | ed - "${HTKTOOLS}/HInit.c" > HDKTools/HDInit.c
(cat pat/Rest.c.pat ; echo '1,$p';) | ed - "${HTKTOOLS}/HRest.c" > HDKTools/HDRest.c
(cat pat/ERest.c.pat ; echo '1,$p';) | ed - "${HTKTOOLS}/HERest.c" > HDKTools/HDERest.c
(cat pat/HEd.c.pat ; echo '1,$p';) | ed - "${HTKTOOLS}/HHEd.c" > HDKTools/HDHEd.c
(cat pat/Vite.c.pat ; echo '1,$p';) | ed - "${HTKTOOLS}/HVite.c" > HDKTools/HDVite.c

cp ${PATLIB}/Makefile HDKTools
cp ${PATLIB}/htk_htktools_nt.mkf HDKTools

